PROC_SCSI_WRITE(9)

NAME
proc_scsi_write - handle writes to /proc/scsi/scsi

SYNOPSIS

ssize_t proc_scsi_write(struct file * file, const char __user * buf, size_t length, loff_t * ppos);

ARGUMENTS

file
    not used

buf
    buffer to write

length
    length of buf, at most PAGE_SIZE

ppos
    not used

DESCRIPTION

this provides a legacy mechanism to add or remove devices by Host, Channel, ID, and Lun. To use, “echo 'scsi add-single-device 0 1 2 3' > /proc/scsi/scsi” or “echo 'scsi remove-single-device 0 1 2 3' > /proc/scsi/scsi” with “0 1 2 3” replaced by the Host, Channel, Id, and Lun.

NOTE

this seems to be aimed at parallel SCSI. Most modern busses (USB, SATA, Firewire, Fibre Channel, etc) dynamically assign these values to provide a unique identifier and nothing more.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT